package com.rjconsultores.ventaboletos.vo.pricing;

import java.util.List;

public class GP_PricingOcupaAntecipaLegendaVO {
	
	private String legenda;
	private List<GP_PricingOcupaAtencipaLegendaItemVO> itens; 
	
	public String getLegenda() {
		return legenda;
	}

	public void setLegenda(String legenda) {
		this.legenda = legenda;
	}
	
	public List<GP_PricingOcupaAtencipaLegendaItemVO> getItens() {
		return itens;
	}

	public void setItens(List<GP_PricingOcupaAtencipaLegendaItemVO> itens) {
		this.itens = itens;
	}
	
	public class GP_PricingOcupaAtencipaLegendaItemVO {

		private String descricao;
		private String percentual;
		private String cor;
		private String dias;
		private Integer pricingocupaantecipaId;
		
		public GP_PricingOcupaAtencipaLegendaItemVO() {
			super();
		}
		
		public GP_PricingOcupaAtencipaLegendaItemVO(String descricao, String percentual, String cor, String dias, Integer pricingocupaantecipaId) {
			super();
			this.descricao = descricao;
			this.percentual = percentual;
			this.cor = cor;
			this.dias = dias;
			this.pricingocupaantecipaId = pricingocupaantecipaId;
		}
	
		public String getPercentual() {
			return percentual;
		}
	
		public void setPercentual(String percentual) {
			this.percentual = percentual;
		}
	
		public String getCor() {
			return cor;
		}
	
		public void setCor(String cor) {
			this.cor = cor;
		}

		@Override
		public int hashCode() {
			final int prime = 31;
			int result = 1;
			result = prime * result + ((cor == null) ? 0 : cor.hashCode());
			result = prime * result + ((percentual == null) ? 0 : percentual.hashCode());
			return result;
		}
	
		@Override
		public boolean equals(Object obj) {
			if (this == obj)
				return true;
			if (obj == null)
				return false;
			if (!(obj instanceof GP_PricingOcupaAtencipaLegendaItemVO))
				return false;
			GP_PricingOcupaAtencipaLegendaItemVO other = (GP_PricingOcupaAtencipaLegendaItemVO) obj;
			if (getCor() == null) {
				if (other.getCor() != null)
					return false;
			} else if (!getCor().equals(other.getCor()))
				return false;
			if (getPercentual() == null) {
				if (other.getPercentual() != null)
					return false;
			} else if (!getPercentual().equals(other.getPercentual()))
				return false;
			if (getDias() == null) {
				if (other.getDias() != null)
					return false;
			} else if (!getDias().equals(other.getDias()))
				return false;
			return true;
		}
	
		public String getDias() {
			return dias;
		}
		
		public void setDias(String dias) {
			this.dias = dias;
		}

		public Integer getPricingocupaantecipaId() {
			return pricingocupaantecipaId;
		}

		public void setPricingocupaantecipaId(Integer pricingocupaantecipaId) {
			this.pricingocupaantecipaId = pricingocupaantecipaId;
		}

		@Override
		public String toString() {
			return "GP_PricingOcupaAtencipaLegendaItemVO [percentual=" + percentual + ", cor=" + cor + ", dias=" + dias + ", pricingocupaantecipaId=" + pricingocupaantecipaId + "]";
		}

		public String getDescricao() {
			return descricao;
		}

		public void setDescricao(String descricao) {
			this.descricao = descricao;
		}
	}

}
